GriffonView (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonView

    griffon.core.ResourceHandler
      griffon.core.ApplicationHandler
          griffon.core.GriffonView
              griffon.core.GriffonMvcArtifact
                  griffon.core.GriffonArtifact
                      griffon.core.MVCHandler
                          griffon.core.ThreadingHandler

All Superinterfaces:
  ResourceHandler, ApplicationHandler, GriffonArtifact, GriffonMvcArtifact, MVCHandler, ThreadingHandler

    public interface GriffonView
    extends GriffonMvcArtifact

Identifies a View artifact.

Authors:
  Andres Almiray

Since:
  0.9.1

Method Summary
`void` | `setBuilder(FactoryBuilderSupport builder)` Sets the corresponding builder instance on this view.

Methods inherited from interface GriffonMvcArtifact
mvcGroupDestroy, mvcGroupInit

Methods inherited from interface GriffonArtifact
getGriffonClass, getLog, getMetaClass, newInstance

Methods inherited from interface ResourceHandler
getResourceAsStream, getResourceAsURL, getResources

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface MVCHandler
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from interface ThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Method Detail

### setBuilder

    public void setBuilder(FactoryBuilderSupport builder)

  Sets the corresponding builder instance on this view.

  Views will normally use a builder in order to create their UI elements however they can opt out and build the UI by other means.

  Parameters:
    `builder` - the builder instance that belongs to the same MVC group as this View.

Groovy Documentation